PHP Manual
Prev |  | Next

# parsekit_func_arginfo

(PECL)

parsekit_func_arginfo -- Return information regarding function argument(s)

## Description

array parsekit_func_arginfo ( mixed function )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

function

  A string describing a function, or an array describing a class/method.

## Return Values

Returns an array containing argument information.

## Examples

Example 1. parsekit_func_arginfo() example
`<?php function foo($bar, stdClass $baz, &$bomb, $bling = false) { } var_dump(parsekit_func_arginfo('foo')); ?>`
The above example will output:
    array(4) {
      [0]=>
      array(3) {
        ["name"]=>
        string(3) "bar"
        ["allow_null"]=>
        bool(true)
        ["pass_by_reference"]=>
        bool(false)
      }
      [1]=>
      array(4) {
        ["name"]=>
        string(3) "baz"
        ["class_name"]=>
        string(8) "stdClass"
        ["allow_null"]=>
        bool(false)
        ["pass_by_reference"]=>
        bool(false)
      }
      [2]=>
      array(3) {
        ["name"]=>
        string(4) "bomb"
        ["allow_null"]=>
        bool(true)
        ["pass_by_reference"]=>
        bool(true)
      }
      [3]=>
      array(3) {
        ["name"]=>
        string(5) "bling"
        ["allow_null"]=>
        bool(true)
        ["pass_by_reference"]=>
        bool(false)
      }
    }

Prev | Home | Next
parsekit_compile_string | Up | Process Control Functions